
//filename: mainSamp.h
HMODULE hLib30x = NULL;
void setMainScreen(void);
BOOLEAN SetCon(void);

// Developer NOTE: 
// Please see "FuncUse.html" documentation at website for information about 
// all function calls and related definitions such as the ones shown below.
#define MULTI_CHAN_SCAN 2
#define SCAN_USE_DATA_ARRAY 2

UINT puiNumScansRemainingInBuff, puiStatusCode, uiNumScansToReturn, puiNumScansReturned; 
UINT puiTotalBuffSize = 20;  // MUST be sized according to number of scans you'll be reading
 
BOOLEAN pfStillScanning, fGetAllRequested; 
double dblDataBuff[20];		// MUST be sized according to number of scans you'll be reading
double* pdblDataBuff=dblDataBuff; 

typedef BOOLEAN (*P_DLL_EX_CONNECT) (USHORT* usDevID);
P_DLL_EX_CONNECT EX_Connect = NULL;

typedef BOOLEAN (*P_DLL_EX_SET_SCAN_TYPE) (USHORT usDevID, BYTE bScanType);
P_DLL_EX_SET_SCAN_TYPE EX_SetScanType = NULL;

typedef BOOLEAN (*P_DLL_EX_SET_MULTI_CHAN_SCAN_CHANS) (USHORT usDevID, BYTE bChanCnt);
P_DLL_EX_SET_MULTI_CHAN_SCAN_CHANS EX_SetMultiChanScanChans = NULL;

typedef BOOLEAN (*P_DLL_EX_SET_DATA_LOG_OPTIONS) (USHORT usDevID, UINT uiDataLogMethod, UINT uiLogFileMaxSize, UINT uiMisc);
P_DLL_EX_SET_DATA_LOG_OPTIONS EX_SetDataLogOptions = NULL;

typedef BOOLEAN (*P_DLL_EX_RUN) (USHORT usDevID);
P_DLL_EX_RUN EX_Run = NULL;

typedef BOOLEAN(*P_DLL_EX_CHECK_SCAN_STATUS) (USHORT usDevID, UINT* puiNumScansRemainingInBuff, 
						   BOOLEAN* pfStillScanning, UINT* puiStatusCode);
P_DLL_EX_CHECK_SCAN_STATUS EX_CheckScanStatus = NULL;

typedef BOOLEAN (*P_DLL_EX_GET_SCAN_DATA_DOUBLE)( USHORT usDevID, double* pdblDataBuff, UINT uiNumScansToReturn,
		BOOLEAN fGetAllRequested, UINT* puiNumScansReturned, UINT* puiNumScansRemainingInBuff, 
		BOOLEAN* pfStillScanning, UINT* puiTotalBuffSize, UINT* puiStatusCode );
P_DLL_EX_GET_SCAN_DATA_DOUBLE EX_GetScanDataDbl = NULL;

typedef BOOLEAN (*P_DLL_EX_STOP) (USHORT usDevID);
P_DLL_EX_STOP EX_Stop = NULL;

typedef BOOLEAN (*P_DLL_EX_STOP_COMPLETE) (USHORT usDevID);
P_DLL_EX_STOP_COMPLETE EX_StopComplete = NULL;


// This is just stuff to handle the console for writing to particular line locations
HANDLE	hOutCon, hInCon;
COORD	pos, dwCursorPosition;
CONSOLE_CURSOR_INFO	ConsoleCursorInfo;
CONSOLE_SCREEN_BUFFER_INFO lpConsoleScreenBufferInfo;
DWORD	lpNumberOfCharsWritten;
#define gotoxy(x, y) pos.X = x; pos.Y = y - 1;	\
SetConsoleCursorPosition(hOutCon, pos);
#define clrscr() pos.X = 0; pos.Y = 0;		\
FillConsoleOutputCharacter(hOutCon, ' ',	\
80*25, pos, &lpNumberOfCharsWritten);




